/*
 * **********************************
 *                                   *
 * HLC Games - Software Entertainment *
 *                                     *
 * (c) Copyright 2003 - Lukas Hermanns  *
 *                                       *
 * ****************************************
 *  ___    ___    ___          _____
 * /\  \  /\  \  /\  \        /  ___\
 * \ \  \_\_\  \ \ \  \      /\  \__/
 *  \ \   ___   \ \ \  \     \ \  \
 *   \ \  \__/\  \ \ \  \____ \ \  \___
 *    \ \__\ \ \__\ \ \______\ \ \_____\
 *     \/__/  \/__/  \/______/  \/_____/
 *
 * ****************************************
 *
 * ********************** HLC BrickCoverage - (1.6.2010) ************************
 *
 * (c) Copyright 2010 - Lukas Hermanns
 *
 * BrickCoverage game header
 *
 */

#ifndef __BC_GAME_H__
#define __BC_GAME_H__


#include "bcStandard.hpp"
#include "bcBasicBrick.hpp"


namespace bc
{


void ExamineArguments(s32 ArgumentCount, c8* Arguments[]);

void InitGame();

void LoadResources();

void RenderGame();

void UpdateGame();

void ClearGame();

bool SaveMap(const io::stringc &Filename);
bool LoadMap(const io::stringc &Filename);


} // /namespace bc


#endif








// ================================================================================
